Bug 1205868 - [abrt] lxqt-session: QHashData::nextNode(): lxqt-session killed by SIGSEGV
Summary: [abrt] lxqt-session: QHashData::nextNode(): lxqt-session killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-session
Version: 21
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a9166589b2fd480e01560086aba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-25 19:53 UTC by Mikhail Yarashevich
Modified: 2015-12-08 21:24 UTC (History)
2 users (show)

Fixed In Version: lxqt-session-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:32:10 UTC


Attachments (Terms of Use)
File: backtrace (18.47 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (177 bytes, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (7.52 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (7.84 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: environ (1.66 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: maps (27.74 KB, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (921 bytes, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (897 bytes, text/plain)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-03-25 19:53 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2015-03-25 19:53:24 UTC
Version-Release number of selected component:
lxqt-session-0.8.0-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        lxqt-session
crash_function: QHashData::nextNode
executable:     /usr/bin/lxqt-session
kernel:         3.18.6-200.fc21.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHashData::nextNode at tools/qhash.cpp:512
 #1 operator++ at ../../src/corelib/tools/qhash.h:439
 #2 QDBusConnectionPrivate::socketRead at qdbusintegrator.cpp:1188
 #3 QDBusConnectionPrivate::qt_static_metacall at .moc/moc_qdbusconnection_p.cpp:130
 #4 QMetaObject::activate at kernel/qobject.cpp:3716
 #6 QSocketNotifier::activated at .moc/moc_qsocketnotifier.cpp:133
 #7 QSocketNotifier::event at kernel/qsocketnotifier.cpp:296
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3722
 #9 QApplication::notify at kernel/qapplication.cpp:3505
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:932

Comment 1 Mikhail Yarashevich 2015-03-25 19:53:28 UTC
Created attachment 1006452 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2015-03-25 19:53:29 UTC
Created attachment 1006453 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2015-03-25 19:53:40 UTC
Created attachment 1006454 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2015-03-25 19:53:42 UTC
Created attachment 1006455 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2015-03-25 19:53:44 UTC
Created attachment 1006456 [details]
File: environ

Comment 6 Mikhail Yarashevich 2015-03-25 19:53:45 UTC
Created attachment 1006457 [details]
File: limits

Comment 7 Mikhail Yarashevich 2015-03-25 19:53:48 UTC
Created attachment 1006458 [details]
File: maps

Comment 8 Mikhail Yarashevich 2015-03-25 19:53:53 UTC
Created attachment 1006459 [details]
File: open_fds

Comment 9 Mikhail Yarashevich 2015-03-25 19:53:54 UTC
Created attachment 1006460 [details]
File: proc_pid_status

Comment 10 Mikhail Yarashevich 2015-03-25 19:53:56 UTC
Created attachment 1006461 [details]
File: var_log_messages

Comment 11 Mikhail Yarashevich 2015-03-25 19:53:57 UTC
Created attachment 1006462 [details]
File: exploitable

Comment 12 Fedora Update System 2015-11-03 00:53:41 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 13 Fedora Update System 2015-11-03 00:53:42 UTC
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 14 Fedora Update System 2015-11-03 18:57:37 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 15 Fedora Update System 2015-11-03 19:53:36 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 16 Fedora End Of Life 2015-11-04 16:00:07 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-12-02 10:32:13 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Fedora Update System 2015-12-08 19:54:23 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-12-08 21:23:40 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.